Subject: Re: [RFC PATCH] Makefile: Turn off the configure target by default

From: Michael J Gruber <[email-masked]>
Date: Tue, 12 Oct 2010 10:33:20 +0200

Jonathan Nieder venit, vidit, dixit 11.10.2010 18:26:
> Ævar Arnfjörð Bjarmason wrote:
>> On Mon, Oct 11, 2010 at 15:28, Michael J Gruber
>> <[email-masked]> wrote:
> 
>>> My observations on the list don't quite confirm that "configure" can
>>> only improve the make situation, but I don't use it myself. So, I'll let
>>> those give configure advice who use it.
>>
>> If it doesn't improve it that's a bug that we need to fix.
> 
> Probably Michael was referring to the FreeBSD 4 thread:
> http://thread.gmane.org/gmane.comp.version-control.git/158639
> 
> I suspect it has nothing to do with "configure", but given that
> most of the active developers do not use autoconf, it tends to be
> the first unknown one is tempted to eliminate.

That thread was just the hair-trigger, so to say, there were many others
in the past. But it's very typical. We often have "Don't use configure -
it's second class"-type answers to build problems. I don't really
remember that many "I use configure, and it works here"-type answers.

Given the vigorous defense showing up here against deprecating configure
(in the sense of declaring it second class), we can all be confident
that there will be many knowledgeable and helpful answers to build
problems for configure users, right?

Michael